
Foreman - Bug #15685

String can't be coerced into Fixnum on statistics page

07/14/2016 06:55 AM - Yuriy Nefedov

Status: Feedback   

Priority: Normal   

Assignee:    

Category: Statistics   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.12.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello.

After the opening of the statistics page I get the following error: "String can't be coerced into Fixnum".

Trace data:

TypeError

String can't be coerced into Fixnum

/usr/share/foreman/app/models/fact_value.rb:78:in `%'

/usr/share/foreman/app/models/fact_value.rb:78:in `block in count_each'

/usr/share/foreman/app/models/fact_value.rb:72:in `each'

/usr/share/foreman/app/models/fact_value.rb:72:in `count_each'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activerecord-4.2.6/lib/active_record/relation/delegation.rb:94:in `public_send'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activerecord-4.2.6/lib/active_record/relation/delegation.rb:94:in `block in method_missing'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activerecord-4.2.6/lib/active_record/relation.rb:302:in `scoping'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activerecord-4.2.6/lib/active_record/relation/delegation.rb:94:in `method_missing'

/usr/share/foreman/app/controllers/statistics_controller.rb:7:in `index'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_controller/metal/implicit_render.rb:4:in `send_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/abstract_controller/base.rb:198:in `process_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_controller/metal/rendering.rb:10:in `process_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/abstract_controller/callbacks.rb:20:in `block in process_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:117:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:117:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:498:in `block (2 levels) in around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:313:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:313:in `block (2 levels) in halting'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweeping.rb:73:in

`around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:455:in `public_send'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:455:in `block in make_lambda'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:312:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:312:in `block in halting'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:497:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:497:in `block in around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:498:in `block (2 levels) in around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:313:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:313:in `block (2 levels) in halting'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:432:in `block in make_lambda'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:312:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:312:in `block in halting'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:497:in `call'
/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:497:in `block in around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:498:in `block (2 levels) in around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:313:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:313:in `block (2 levels) in halting'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:432:in `block in make_lambda'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:312:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:312:in `block in halting'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:497:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:497:in `block in around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:498:in `block (2 levels) in around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:313:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:313:in `block (2 levels) in halting'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweeping.rb:73:in

`around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:455:in `public_send'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:455:in `block in make_lambda'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:312:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:312:in `block in halting'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:497:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:497:in `block in around'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:505:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:92:in `__run_callbacks__'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:778:in

`_run_process_action_callbacks'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:81:in `run_callbacks'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/abstract_controller/callbacks.rb:19:in `process_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_controller/metal/rescue.rb:29:in `process_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_controller/metal/instrumentation.rb:32:in `block in

process_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/notifications.rb:164:in `block in instrument'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/notifications/instrumenter.rb:20:in `instrument'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/notifications.rb:164:in `instrument'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_controller/metal/instrumentation.rb:30:in `process_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activerecord-4.2.6/lib/active_record/railties/controller_runtime.rb:18:in `process_action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/abstract_controller/base.rb:137:in `process'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionview-4.2.6/lib/action_view/rendering.rb:30:in `process'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_controller/metal.rb:196:in `dispatch'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_controller/metal.rb:237:in `block in action'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/routing/route_set.rb:74:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/routing/route_set.rb:74:in `dispatch'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/routing/route_set.rb:43:in `serve'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/journey/router.rb:43:in `block in serve'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/journey/router.rb:30:in `each'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/journey/router.rb:30:in `serve'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/routing/route_set.rb:817:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/apipie-rails-0.3.6/lib/apipie/static_dispatcher.rb:65:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/apipie-rails-0.3.6/lib/apipie/extractor/recorder.rb:132:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/apipie-rails-0.3.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/conditionalget.rb:25:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/params_parser.rb:27:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/flash.rb:260:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/cookies.rb:560:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activerecord-4.2.6/lib/active_record/query_cache.rb:36:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activerecord-4.2.6/lib/active_record/connection_adapters/abstract/connection_pool.rb:65
3:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:88:in `__run_callbacks__'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/callbacks.rb:81:in `run_callbacks'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/callbacks.rb:27:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/railties-4.2.6/lib/rails/rack/logger.rb:38:in `call_app'

/usr/share/foreman/vendor/ruby/2.0.0/gems/railties-4.2.6/lib/rails/rack/logger.rb:22:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/request_id.rb:21:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/activesupport-4.2.6/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in

`call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/actionpack-4.2.6/lib/action_dispatch/middleware/static.rb:120:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/railties-4.2.6/lib/rails/engine.rb:518:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/railties-4.2.6/lib/rails/application.rb:165:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/railties-4.2.6/lib/rails/railtie.rb:194:in `public_send'

/usr/share/foreman/vendor/ruby/2.0.0/gems/railties-4.2.6/lib/rails/railtie.rb:194:in `method_missing'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/urlmap.rb:66:in `block in call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/urlmap.rb:50:in `each'

/usr/share/foreman/vendor/ruby/2.0.0/gems/rack-1.6.4/lib/rack/urlmap.rb:50:in `call'

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:77:in `process_request'

/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:142:in `accept_and_process_next_request'

/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:110:in `main_loop'

/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb:448:in `block (3 levels) in start_threads'

/usr/share/foreman/vendor/ruby/2.0.0/gems/logging-2.1.0/lib/logging/diagnostic_context.rb:450:in `call'

/usr/share/foreman/vendor/ruby/2.0.0/gems/logging-2.1.0/lib/logging/diagnostic_context.rb:450:in `block in

create_with_logging_context'

Related issues:

Has duplicate Foreman - Support #16425: String can't be coerced into Fixnum Closed 09/02/2016

History

#1 - 07/14/2016 06:57 AM - Yuriy Nefedov

Foreman verstion 1.12.0

#2 - 07/14/2016 08:39 AM - Dominic Cleal

- Subject changed from String can't be coerced into Fixnum to String can't be coerced into Fixnum on statistics page

- Category set to Statistics

I can't reproduce this. It appears that n_() might be returning an integer (Fixnum) which would cause the error message listed when interpolated with

a string.

#3 - 09/05/2016 02:57 AM - Dominic Cleal

- Has duplicate Support #16425: String can't be coerced into Fixnum added

#4 - 09/12/2016 11:40 AM - Marek Hulán

I'm also unable to reproduce locally, what plugins do you have installed? Maybe a foreman_debug would help.

#5 - 05/22/2017 01:46 PM - Marek Hulán

- Status changed from New to Feedback

I'm closing because of lack of feedback, please reopen if you still encounter the issue and provide the list of plugin you use and upload to output of

foreman-debug command. Thank you.
